### Navigation

- index
- next |
- previous |
- Python Markdown v2.6.6 documentation »
- Extensions »
- Definition Lists Extension »

# Definition Lists

## Summary

The Definition Lists extension adds the ability to create definition lists in Markdown documents.

This extension is included in the standard Markdown library.

## Syntax

Definition lists are defined using the syntax established in PHP Markdown Extra.

Thus, the following text (taken from the above referenced PHP documentation):

    Apple
    :   Pomaceous fruit of plants of the genus Malus in
        the family Rosaceae.

    Orange
    :   The fruit of an evergreen tree of the genus Citrus.

will be rendered as:

    <dl>
    <dt>Apple</dt>
    <dd>Pomaceous fruit of plants of the genus Malus in
    the family Rosaceae.</dd>

    <dt>Orange</dt>
    <dd>The fruit of an evergreen tree of the genus Citrus.</dd>
    </dl>

## Usage

See Extensions for general extension usage, specify `markdown.extensions.def_list` as the name of the extension.

This extension does not accept any special configuration options.

### Navigation

- index
- next |
- previous |
- Python Markdown v2.6.6 documentation »
- Extensions »
- Definition Lists Extension »